## org.apache.poi.hssf.record
Class HorizontalPageBreakRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.PageBreakRecord
              org.apache.poi.hssf.record.HorizontalPageBreakRecord

public class HorizontalPageBreakRecord
extends PageBreakRecord

HorizontalPageBreak record that stores page breaks at rows

This class is just used so that SID compares work properly in the RecordFactory

Author:
  Danny Mui (dmui at apache dot org)
See Also:
  `PageBreakRecord`

Nested Class Summary

Nested classes inherited from class org.apache.poi.hssf.record.PageBreakRecord
`PageBreakRecord.Break`

Field Summary
`static short` `sid`

Fields inherited from class org.apache.poi.hssf.record.PageBreakRecord
`HORIZONTAL_SID, VERTICAL_SID`

Constructor Summary
`HorizontalPageBreakRecord()`
`HorizontalPageBreakRecord(short sid)`
`HorizontalPageBreakRecord(short id, short size, byte[] data)`
`HorizontalPageBreakRecord(short id, short size, byte[] data, int offset)`

Method Summary
`short` `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.PageBreakRecord
`addBreak, clone, fillFields, getBreak, getBreaksIterator, getNumBreaks, getRecordSize, removeBreak, serialize, setNumBreaks, toString, validateSid`

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord()

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord(short sid)

Parameters:
  `sid` -

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord(short id,
                                     short size,
                                     byte[] data)

Parameters:
  `id` -
  `size` -
  `data` -

### HorizontalPageBreakRecord

    public HorizontalPageBreakRecord(short id,
                                     short size,
                                     byte[] data,
                                     int offset)

Parameters:
  `id` -
  `size` -
  `data` -
  `offset` -

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Overrides:
    `getSid` in class `PageBreakRecord`

Copyright © 2003 Apache Software Foundation.